/**
 *  Written by Tyler Montbriand in 2004
 *  100% freeware, do whatever the hell you want with it
 */
#ifndef __SDLEXT_H__
#define __SDLEXT_H__

#include <SDL/SDL.h>
#include <sidplay/sidtune.h>
#include <sidplay/emucfg.h>

#include <SDL/begin_code.h>

class DECLSPEC AudioSpec:public SDL_AudioSpec
{
public:
  AudioSpec(int _freq, int _format, int _channels, int _samples,
    void (*_callback)(void *, Uint8 *, int)=NULL, void *_userdata=NULL);
private:
  static void default_callback(void *userdata, Uint8 *stream, int len);
};

class DECLSPEC SDL_emucfg:public emuConfig
{
public:
  SDL_emucfg(SDL_AudioSpec spec);
  void PrintSettings();
};

#include <SDL/close_code.h>

#endif/*__SDLEXT_H__*/
